API
Listar templates
Lista todos os templates criados no projeto com paginação.
GET
/
v1
/
templates
Listar templates
curl --request GET \
--url https://api.valid.com/v1/templates \
--header 'x-api-key: <api-key>'import requests
url = "https://api.valid.com/v1/templates"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.valid.com/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "Contrato de Serviços",
"filename": "contrato.pdf",
"pageCount": 2,
"fieldCount": 3,
"createdAt": "2025-07-27T10:30:00.000Z"
}
],
"total": 1,
"page": 1,
"perPage": 10
}
Lista todos os templates do seu projeto.
Parâmetros de query
integer
Número da página (começa em 1). Padrão: 1.
integer
Itens por página. Padrão: 10. Máximo: 100.
Respostas
array
integer
Total de templates no projeto.
integer
Página atual.
integer
Itens por página.
Erros
Veja Autenticação e erros.- 401: API key/Bearer token inválido.
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "Contrato de Serviços",
"filename": "contrato.pdf",
"pageCount": 2,
"fieldCount": 3,
"createdAt": "2025-07-27T10:30:00.000Z"
}
],
"total": 1,
"page": 1,
"perPage": 10
}
Exemplo
curl -X GET "https://signer.vcc-service.com/v1/templates?page=1&perPage=20" \
-H "x-api-key: YOUR_API_KEY"
Relacionado
GET /v1/templates/:uuid— detalhe do templatePOST /v1/templates/:uuid/envelopes— criar envelope a partir do template
⌘I
Listar templates
